Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class ProjectConfigurator

    java.lang.Object
      org.apache.cayenne.project.ProjectConfigurator

Deprecated. since 3.0. `ProjectConfigurator` approach turned out to be not usable, and is in fact rarely used (if ever). It will be removed in subsequent releases.

    public class ProjectConfigurator

extends Object

Performs on the fly reconfiguration of Cayenne projects.

Field Summary
`protected ProjectConfigInfo` | `info` Deprecated.

Constructor Summary
`ProjectConfigurator(ProjectConfigInfo info)` Deprecated.

Method Summary
`protected void` | `cleanup(File dir)` Deprecated. Deletes a temporary directories and files created.
`void` | `execute()` Deprecated. Performs reconfiguration of the project.
`protected File` | `makeTempDestJar()` Deprecated. Returns a temporary file for the destination jar.
`protected File` | `makeTempDirectory()` Deprecated. Creates a temporary directory to unjar the jar file.
`protected void` | `reconfigureProject(File projectDir)` Deprecated. Performs reconfiguration of the unjarred project.
`protected void` | `validate()` Deprecated. Validates consistency of the reconfiguration information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected ProjectConfigInfo info

  Deprecated.

Constructor Detail

### ProjectConfigurator

    public ProjectConfigurator(ProjectConfigInfo info)

  Deprecated.

Method Detail

### execute

    public void execute()
                 throws ProjectException

  Deprecated.
  Performs reconfiguration of the project.

  Throws:
    `ProjectException`

### reconfigureProject

    protected void reconfigureProject(File projectDir)
                               throws ProjectException

  Deprecated.
  Performs reconfiguration of the unjarred project.

  Parameters:
    `projectDir` - a directory where a working copy of the project is located.
  Throws:
    `ProjectException`

### makeTempDestJar

    protected File makeTempDestJar()
                            throws IOException

  Deprecated.
  Returns a temporary file for the destination jar.

  Throws:
    `IOException`

### cleanup

    protected void cleanup(File dir)

  Deprecated.
  Deletes a temporary directories and files created.

### makeTempDirectory

    protected File makeTempDirectory()
                              throws IOException

  Deprecated.
  Creates a temporary directory to unjar the jar file.

  Returns:
    File
  Throws:
    `IOException`

### validate

    protected void validate()
                     throws IOException,
                            ProjectException

  Deprecated.
  Validates consistency of the reconfiguration information.

  Throws:
    `IOException`
    `ProjectException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.